<html>
<head>
<title>OGRE: Ogre::RenderQueue::RenderableListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a>::<a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html">RenderableListener</a></div>
<h1>Ogre::RenderQueue::RenderableListener Class Reference</h1><!-- doxytag: class="Ogre::RenderQueue::RenderableListener" -->Class to listen in on items being added to the render queue.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1RenderQueue_1_1RenderableListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html#0820da08b1cfaa649e9795e005161d98">RenderableListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html#a1cf2797eb257b192b5a7f4d7927bce6">~RenderableListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderQueue_1_1RenderableListener.html#e8e3f4f8acf7f0a332804edc6b35bf40">renderableQueued</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend, <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> groupID, <a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> priority, <a class="el" href="classOgre_1_1Technique.html">Technique</a> **ppTech)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method called when a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> is added to the queue.  <a href="#e8e3f4f8acf7f0a332804edc6b35bf40"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class to listen in on items being added to the render queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Use <a class="el" href="classOgre_1_1RenderQueue.html#4830aa759ae0619a637dc979f8f0d581" title="Set a renderable listener on the queue.">RenderQueue::setRenderableListener</a> to get callbacks when an item is added to the render queue. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00093">93</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="0820da08b1cfaa649e9795e005161d98"></a><!-- doxytag: member="Ogre::RenderQueue::RenderableListener::RenderableListener" ref="0820da08b1cfaa649e9795e005161d98" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::RenderQueue::RenderableListener::RenderableListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00096">96</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a1cf2797eb257b192b5a7f4d7927bce6"></a><!-- doxytag: member="Ogre::RenderQueue::RenderableListener::~RenderableListener" ref="a1cf2797eb257b192b5a7f4d7927bce6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::RenderQueue::RenderableListener::~RenderableListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueue_8h-source.html#l00097">97</a> of file <a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e8e3f4f8acf7f0a332804edc6b35bf40"></a><!-- doxytag: member="Ogre::RenderQueue::RenderableListener::renderableQueued" ref="e8e3f4f8acf7f0a332804edc6b35bf40" args="(Renderable *rend, uint8 groupID, ushort priority, Technique **ppTech)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::RenderQueue::RenderableListener::renderableQueued           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>rend</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>groupID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>priority</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Technique.html">Technique</a> **&nbsp;</td>
          <td class="paramname"> <em>ppTech</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method called when a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> is added to the queue. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can use this event hook to alter the <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> used to render a <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> as the item is added to the queue. This is a low-level way to override the material settings for a given <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on the fly. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>rend</em>&nbsp;</td><td>The <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> being added to the queue </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>groupID</em>&nbsp;</td><td>The render queue group this <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> is being added to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>priority</em>&nbsp;</td><td>The priority the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> has been given </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>ppTech</em>&nbsp;</td><td>A pointer to the pointer to the <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> that is intended to be used; you can alter this to an alternate <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> if you so wish (the <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a> doesn't have to be from the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> either). </td></tr>
  </table>
</dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>true to allow the <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> to be added to the queue, false if you want to prevent it being added </dd></dl>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueue_8h-source.html">OgreRenderQueue.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:05 2008
</p>
</body>
</html>
